# Constant class

(Shortest import: `from brian2.core.variables import Constant)`

class brian2.core.variables.Constant(name, value, dimensions=Dimension(), owner=None)

  Bases: `Variable`

  A scalar constant (e.g. the number of neurons `N`). Information such as the dtype or whether this variable is a boolean are directly derived from the `value`. Most of the time `Variables.add_constant` should be used instead of instantiating this class directly.

  Parameters:

    name : str

    > The name of the variable

    dimensions : `Dimension`, optional

    > The physical dimensions of the variable. Note that the variable itself (as referenced by value) should never have units attached.

    value: reference to the variable value :

    > The value of the constant.

    owner : `Nameable`, optional

    > The object that “owns” this variable, for constants that belong to a specific group, e.g. the `N` constant for a `NeuronGroup`. External constants will have `None` (the default value).

  Attributes

  `value` | The constant's value

  Methods

  `get_value`() | Return the value associated with the variable (without units).
  `item`() |

  Details

  value

    The constant’s value

  get_value()

    Return the value associated with the variable (without units). This is the way variables are accessed in generated code.

  item()